## org.eclipse.emf.validation.xml
Class AbstractXmlConstraintDescriptor

    java.lang.Object
      org.eclipse.emf.validation.service.AbstractConstraintDescriptor
          org.eclipse.emf.validation.xml.AbstractXmlConstraintDescriptor

All Implemented Interfaces:
  IConstraintDescriptor, IXmlConstraintDescriptor

    public abstract class AbstractXmlConstraintDescriptor

extends AbstractConstraintDescriptor
implements IXmlConstraintDescriptor

This class provides an abstract implementation of an XML constraint descriptor that is used to provide descriptions of a particular constraint from an `IConfigurationElement`.

This IConfigurationElement is then made available to any third-party that requests direct inspection. The structure of this IConfigurationElement should exactly reflect the constraint subtree of a properly formed constraintProvider extension.

See also the constraintProvider extension point.

Constructor Summary
`AbstractXmlConstraintDescriptor()`

Method Summary

Methods inherited from class org.eclipse.emf.validation.service.AbstractConstraintDescriptor
`addCategory, equals, getCategories, getDescriptor, getException, hashCode, isBatch, isEnabled, isError, isLive, removeCategory, setEnabled, setError, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.validation.xml.IXmlConstraintDescriptor
`getConfig, resolveTargetTypes`

Methods inherited from interface org.eclipse.emf.validation.service.IConstraintDescriptor
`addCategory, getBody, getCategories, getDescription, getEvaluationMode, getException, getId, getMessagePattern, getName, getPluginId, getSeverity, getStatusCode, isBatch, isEnabled, isError, isLive, removeCategory, setEnabled, setError, targetsEvent, targetsTypeOf`

Constructor Detail

### AbstractXmlConstraintDescriptor

    public AbstractXmlConstraintDescriptor()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.